v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/locally-sourced-kits

Retrieves all locally sourced kit settings.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : LocalSourceSettingsResponse
Type: object
Title: LocalSourceSettingsResponse
Contains Local Source Settings detail response.
Show Source
Nested Schema : locallySourcedCountries
Type: array
Show Source
Example:
[
    {
        "localSourceId":"C36A3197FDEE433FB5547EE83DE99E4B",
        "versionStart":"2026-01-10T09:15:00Z",
        "versionEnd":"2026-12-31T23:59:59Z",
        "operationType":"CREATE",
        "objectVersionNumber":1,
        "userId":"6A1B2C3D4E5F67890123456789ABCDEF",
        "reason":"Initial enablement.",
        "comment":"Locally sourced kits enabled for the country.",
        "kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
        "countryId":"B1C2D3E4F5064789A0B1C2D3E4F50647",
        "enabled":true
    }
]
Nested Schema : sourcedBySiteCountries
Type: array
Show Source
Example:
[
    {
        "localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
        "versionStart":"2026-01-10T09:15:00Z",
        "versionEnd":"2026-12-31T23:59:59Z",
        "operationType":"CREATE",
        "objectVersionNumber":1,
        "userId":"6A1B2C3D4E5F67890123456789ABCDEF",
        "reason":"Initial enablement.",
        "comment":"Sourced-by-site enabled for the country.",
        "kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
        "countryId":"9ABCDEF01234567890123456789ABCDE",
        "enabled":true
    }
]
Nested Schema : LocalSourceSettingsTo
Type: object
Title: LocalSourceSettingsTo
Contains locally sourced kit settings.
Show Source
Example:
[
    {
        "localSourceId":"E0F1A2B3C4D567890123456789ABCDEF",
        "versionStart":"2026-01-10T09:15:00Z",
        "versionEnd":"2026-12-31T23:59:59Z",
        "operationType":"CREATE",
        "objectVersionNumber":1,
        "userId":"6A1B2C3D4E5F67890123456789ABCDEF",
        "reason":"Initial enablement.",
        "comment":"Sourced-by-site enabled for the country.",
        "kitTypeSrcId":"D313327EF13845169A8ADADDA435431F",
        "countryId":"9ABCDEF01234567890123456789ABCDE",
        "enabled":true
    }
]
Examples

204 Response

Successful operation
Body ()
Root Schema : ListResponseFactory
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ListResponseFactory
Type: object
Examples

Back to Top